OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
OpenMesh::IO::_PLYWriter_ Class Reference

Implementation of the PLY format writer. More...

`#include <OpenMesh/Core/IO/writer/PLYWriter.hh>`

Inheritance diagram for OpenMesh::IO::_PLYWriter_:
[legend]
Collaboration diagram for OpenMesh::IO::_PLYWriter_:
[legend]

## Public Types
enum | ValueType { Unsupported, ValueTypeFLOAT32, ValueTypeFLOAT, ValueTypeUINT8, ValueTypeINT32, ValueTypeINT, ValueTypeUCHAR }
Public Types inherited from OpenMesh::IO::BaseWriter
typedef unsigned int | Option

## Public Member Functions
virtual | ~_PLYWriter_ ()
| Destructor.
std::string | get_description () const
| Return short description of the supported file format.
std::string | get_extensions () const
| Return file format's extension.
bool | write (const std::string &, BaseExporter &, Options, std::streamsize _precision=6) const
| Write to a file. More...
bool | write (std::ostream &, BaseExporter &, Options, std::streamsize _precision=6) const
| Write to a std::ostream. More...
size_t | binary_size (BaseExporter &_be, Options _opt) const
| Returns expected size of file if binary format is supported else 0.
Public Member Functions inherited from OpenMesh::IO::BaseWriter
virtual | ~BaseWriter ()
| Destructor.
virtual bool | can_u_write (const std::string &_filename) const
| Returns true if writer can parse _filename (checks extension)

## Protected Member Functions
void | writeValue (ValueType _type, std::ostream &_out, int value) const
void | writeValue (ValueType _type, std::ostream &_out, unsigned int value) const
void | writeValue (ValueType _type, std::ostream &_out, float value) const
bool | write_ascii (std::ostream &_out, BaseExporter &, Options) const
bool | write_binary (std::ostream &_out, BaseExporter &, Options) const
void | write_header (std::ostream &_out, BaseExporter &_be, Options &_opt) const
Protected Member Functions inherited from OpenMesh::IO::BaseWriter
bool | check (BaseExporter &_be, Options _opt) const

## Detailed Description

Implementation of the PLY format writer.

This class is singleton'ed by SingletonT to PLYWriter.

currently supported options:

- VertexColors
- Binary
- Binary -> MSB

## Member Function Documentation

bool OpenMesh::IO::_PLYWriter_::write | ( | const std::string & | _filename,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const
| virtual

Write to a file.

Parameters

  _filename | write to file with the given filename
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

bool OpenMesh::IO::_PLYWriter_::write | ( | std::ostream & | _os,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const
| virtual

Write to a std::ostream.

Parameters

  _os | write to std::ostream
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

The documentation for this class was generated from the following files:

- OpenMesh/Core/IO/writer/PLYWriter.hh
- OpenMesh/Core/IO/writer/PLYWriter.cc